INTERFACE
SUBROUTINE HRADP_ML_AD(KDLEN,KLEN,KSET,&
 & PPRESH ,PTF ,PQF,&
 & PPS ,PTS ,PT2M ,PQ2M ,PCTOP , PCAMT ,&
 & PTS5,PTS5_REF) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG
USE YOMDB
INTEGER(KIND=JPIM),INTENT(IN) :: KDLEN
INTEGER(KIND=JPIM),INTENT(IN) :: KLEN
INTEGER(KIND=JPIM),INTENT(IN) :: KSET
REAL(KIND=JPRB) ,INTENT(INOUT) :: PPRESH(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTF(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQF(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PPS(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTS(KDLEN),PCTOP(KDLEN),PCAMT(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PT2M(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQ2M(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTS5(KDLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PTS5_REF(KDLEN)
END SUBROUTINE HRADP_ML_AD
END INTERFACE
